## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
# Enable bootstrap because of broken dependency on grpc-gcp-go/grpcgcp
%bcond bootstrap 1

%global debug_package %{nil}
%global module spanner

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/GoogleCloudPlatform/google-cloud-go
%global goipath         cloud.google.com/go/%{module}
%global forgeurl        https://github.com/GoogleCloudPlatform/google-cloud-go
Version:                1.63.0
%global tag             %{module}/v%{version}
%global distprefix      %{nil}

%gometa -L

%global common_description %{expand:
Google Cloud Client Libraries for Go for module %{module}.}

%global golicenses      LICENSE
%global godocs          CHANGES.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md RELEASING.md SECURITY.md testing.md

Name:           %{goname}
Release:        %autorelease
Summary:        Google Cloud Client Libraries for Go for module %{module}

License:        Apache-2.0 AND BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1
find . ! \( -name %{module} -o -name "*.md" -o -name LICENSE -o -name _build \) -maxdepth 1 -exec rm -rf {} \;
mv %{module}/* .

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestStressSessionPool" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
rm admin/database/apiv1/database_test.go
ln -s /usr/share/gocode/src/cloud.google.com/go/internal _build/src/cloud.google.com/go/
%ifarch i686
%gocheck -d cloud.google.com/go/spanner/spansql
%%else
%gocheck
%endif
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Mon Aug 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.63.0-3
- Enable bootstrap because of broken dependency on grpc-gcp-go/grpcgcp

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.63.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.63.0-1
- Update to 1.63.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.51.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.51.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.51.0-2
- Disable bootstrap mode

* Mon Nov 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.51.0-1
- Initial package - Closes rhbz#2250123
## END: Generated by rpmautospec
